package com.muyu.product;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import com.muyu.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * @ClassName MuYuProductApplication
 * @Description 描述
 * @Author ZHIHAO.DAI
 * @Date 2024/3/1 12:31
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableMyFeignClients
@SpringBootApplication
public class MuYuProductApplication {
    public static void main(String[] args) {
        SpringApplication.run(MuYuProductApplication.class,args);
    }
}
