package com.muyu.product.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.models.auth.In;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @ClassName AttributeInfo
 * @Description 描述
 * @Author ZHIHAO.DAI
 * @Date 2024/3/1 12:35
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName("attribute_info")
public class AttributeInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;
    @Excel(name = "参数主键", cellType = Excel.ColumnType.NUMERIC)
    @TableId( type = IdType.AUTO)
    private Integer id;

    @Excel(name = "属性名称")
    private String name;

    @Excel(name = "备注")
    private String remark;



}
