package com.muyu.product.domain.req;

import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.product.domain.AttributeInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @ClassName AttributeGroupReq
 * @Description 描述
 * @Author ZHIHAO.DAI
 * @Date 2024/3/5 19:46
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class AttributeGroupReq extends BaseEntity {
    private Integer attributeGroupId;
    private String name;
    private String remark;
    private List<AttributeInfo> selectAttributeList;
}
